Dynamic search
curl --request GET \
--url https://www.wander-service.fr/api/clients/v2/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.wander-service.fr/api/clients/v2/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.wander-service.fr/api/clients/v2/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"event": {
"id": 123,
"wanderId": 123,
"name": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"hasEndDateNotReliable": true,
"lowestPrice": 123,
"highestPrice": 123,
"description": "<string>",
"image": "<string>",
"squareImage": "<string>",
"rectangleImage": "<string>",
"place": {
"id": 123,
"name": "<string>",
"address": {
"lng": 123,
"lat": 123,
"street": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
},
"averageGrade": 123,
"totalGrades": 123,
"categories": [
{
"id": 123,
"name": "<string>",
"mainCategory": "<string>",
"traductionFR": "<string>",
"traductionEN": "<string>",
"icon": "<string>"
}
],
"score": 123
}
}
]Direct Event Data Serving
Dynamic search
Search for event or place or performer. You can use it for a searchbar.
GET
/
v2
/
search
Dynamic search
Authorizations
It is the "access_token" returned after login
Query Parameters
The coordinates [lng, lat] around which you are searching
The coordinates [lng, lat] around which you are searching
Available options:
events, places, performers Response
Successful operation
- Option 1
- Option 2
- Option 3
Event object returned with '/search'
Show child attributes
Show child attributes
Was this page helpful?
⌘I